"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var InputMixin = {
  installClickObject: function installClickObject(parent, bounds) {
    var _this = this;

    var rect = this.addInvisibleRect(parent, bounds);
    rect.inputEnabled = true;
    rect.events.onInputDown.add(function () {
      _this.game.input.addMoveCallback(_this.handleMove, _this);
      _this.handleDown.apply(_this, arguments);
    });
    rect.events.onInputUp.add(function () {
      _this.game.input.deleteMoveCallback(_this.handleMove, _this);
      _this.handleUp.apply(_this, arguments);
    });
    this.clickObject = rect;
    return rect;
  },


  /**
   * @private
   */
  addInvisibleRect: function addInvisibleRect(parent, bounds) {
    var g = this.game.add.graphics(0, 0, parent);
    g.beginFill(0xff0000, 0).drawRect(bounds.x, bounds.y, bounds.width, bounds.height);
    return g;
  }
};

exports.default = InputMixin;